Subject: Re: bug#66129: [PATCH 00/20] Split SuiteSparse into subpackages

From: David Elsing <[email-masked]>
Date: Thu, 05 Oct 2023 21:33:00 +0000

Ludovic Courtès <[email-masked]> writes:

Hello,

> Now that I think about it, we might just as well keep the same source
> for each sub-package along with a phase that does (chdir DIR).
>
> The advantage is that we would not spend CPU time and storage space
> building one tarball per package.  The downside is that it might make
> package definitions less concise.

I changed the packages to use the same source. With the autogenerated
files removed, it is somewhat less unwieldy than the original checkout
(90 MB instead of 165 MB).

> Ludo’.

Cheers,
David